@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;400&display=swap');

:root {
  --primary-color: #FCF6F5;
  --secondary-color: #990011;
}

* {
  box-sizing: border-box;
}

body {
  background-color: var(--primary-color);
  font-family: 'Poppins', sans-serif;
  margin: 0;
}

header {
  padding: 1rem;
  display: flex;
  justify-content: space-between; /* Use space-between to align the logo and search to the left */
  align-items: center; /* Vertically center items */
  background-color: var(--secondary-color);
}

.search-instructions {
  color: #fff;
  font-size: 0.875rem; /* Adjust the font size as needed */
  margin-right: 1rem; /* Add some spacing to the right of the caption */
}

.search-bar {
  background-color: transparent;
  border: 2px solid var(--primary-color);
  border-radius: 50px;
  font-family: inherit;
  font-size: 1rem;
  padding: 0.5rem 1rem;
  color: #fff;
}

.search::placeholder {
  color: #fff;
}

.search-button {
    background-color: var(--accent-color);
    border: none;
    border-radius: 25px;
    padding: 0.5rem 1rem;
    font-size: 1rem;
    background-color: #fff;
    color: var(--secondary-color);
    cursor: pointer;
    transition: background-color 0.3s ease-in-out;
}

.search-bar:focus {
    width: 240px;
    outline: none;
}

.search-button:hover {
    background-color: #101820;
    color: #fff;
}

.logo {
  display: flex;
  align-items: center; /* Align items vertically in the center */
  gap: 0.5rem;
}

.logo img {
  width: 160px;
  height: 200px;
}

.logo h1 {
  font-size: 1.5rem;
  color: #fff;
  font-weight: bold;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 1rem;
}

.nav-links li a {
    text-decoration: none;
    color: #fff;
    font-weight: bold;
    transition: color 0.3s ease-in-out;
}

.nav-links li a:hover {
    color: var(--accent-color);
}



main {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.movie {
  width: 300px;
  margin: 1rem;
  background-color: var(--secondary-color);
  box-shadow: 0 4px 5px rgba(0, 0, 0, 0.2);
  position: relative;
  overflow: hidden;
  border-radius: 3px;
}

.movie img {
  width: 100%;
}

.movie-info {
  color: #eee;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap:0.2rem;
  padding: 0.5rem 1rem 1rem;
  letter-spacing: 0.5px;
}

.movie-info h3 {
  margin-top: 0;
}

.movie-info span {
  background-color: var(--primary-color);
  padding: 0.25rem 0.5rem;
  border-radius: 3px;
  font-weight: bold;
}

.movie-info span.green {
  color: lightgreen;
}

.movie-info span.orange {
  color: orange;
}

.movie-info span.red {
  color: red;
}

.overview {
  background-color: #fff;
  padding: 2rem;
  position: absolute;
  left: 0;
  bottom: 0;
  right: 0;
  max-height: 100%;
  transform: translateY(101%);
  overflow-y: auto;
  transition: transform 0.3s ease-in;
}

.movie:hover .overview {
  transform: translateY(0);
}

